version: '3.7'
services:
    api:
        image: registry.gitlab.com/gennady.tiunov/otus.teaching.promocodefactory.homework.dockergitlab
        ports:
            - "3333:80"
        depends_on:
        - postgres-db

    postgres-db:
        image: postgres
        environment:
            POSTGRES_DB: DockerLabDB
            POSTGRES_USER: postgres
            POSTGRES_PASSWORD: postgres
        ports:
            - "5432:5432"
        volumes:
            - postgres_data:/var/lib/postgresql/data/
          
    postgres-admin:
        image: dpage/pgadmin4
        environment:
            PGADMIN_DEFAULT_EMAIL: "postgres@domain.com"
            PGADMIN_DEFAULT_PASSWORD: "password"
        ports:
            - "7777:80"
        depends_on:
            - postgres-db

volumes:
    postgres_data:
